summaryrefslogtreecommitdiffstats
path: root/development/medit
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:24:57 +0200
committer David Somero2010-05-13 00:24:57 +0200
commit6c856f5259e8792837174b4c265650ba304b0d21 (patch)
treedd6f98ec688f36217e8a341e741003b07a999216 /development/medit
parent2e1ec1373428703e0e4ee07944f861f067b76120 (diff)
downloadslackbuilds-6c856f5259e8792837174b4c265650ba304b0d21.tar.gz
development/medit: Updated for version 0.9.4
Diffstat (limited to 'development/medit')
-rw-r--r--development/medit/README7
-rw-r--r--development/medit/medit.SlackBuild39
-rw-r--r--development/medit/medit.info4
3 files changed, 35 insertions, 15 deletions
diff --git a/development/medit/README b/development/medit/README
index 2b3325e52c..aa3ed63fcc 100644
--- a/development/medit/README
+++ b/development/medit/README
@@ -16,10 +16,3 @@ Features
simple builtin scripting lanugage.
* Regular expression search/replace, grep and find frontends, builtin file
selector and whatnot.
-
-Required/Optional deps: PyGTK and Gamin, both available at slackbuilds.org
- - Both PyGTK and Gamin add very useful functionality to medit, it is
- recommended that you install them.
- - PyGTK is auto-detected, Gamin is not. If you do not wish to have Gamin
- support then remove the '--with-fam' line from the medit.SlackBuild
- before building.
diff --git a/development/medit/medit.SlackBuild b/development/medit/medit.SlackBuild
index de8ce5be9d..555b8e781a 100644
--- a/development/medit/medit.SlackBuild
+++ b/development/medit/medit.SlackBuild
@@ -1,9 +1,26 @@
#!/bin/sh
-
+#
# Slackware build script for medit
-# Written by Erik Hanson erik@slackbuilds.org
-
-set -eu
+#
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=medit
VERSION=0.9.4
@@ -16,10 +33,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -eu
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -39,12 +63,13 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-static \
--disable-generated-files \
- --with-fam
+ --with-fam \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
make
make install-strip DESTDIR=$PKG
-rm -rf $PKG/usr/lib/python2.?
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/python2.?
gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
@@ -55,4 +80,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/medit/medit.info b/development/medit/medit.info
index fc2bc43824..3d9a1da94b 100644
--- a/development/medit/medit.info
+++ b/development/medit/medit.info
@@ -3,6 +3,8 @@ VERSION="0.9.4"
HOMEPAGE="http://mooedit.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/mooedit/medit-0.9.4.tar.bz2"
MD5SUM="502086d22d608232d48ef70d56ef5f84"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"